Subject: [mile] Warren Kumari's No Objection on draft-ietf-mile-iodef-guidance-10: (with COMMENT)

From: Warren Kumari <[email-masked]>
Date: Wed, 30 Aug 2017 12:28:17 -0700

Warren Kumari has entered the following ballot position for
draft-ietf-mile-iodef-guidance-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mile-iodef-guidance/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I'll also echo Ben / Benoit's comments and also thank Qin Wu for the OpsDir
review. I've just seen that you have responded to it, thank you.

I especially don't understand the:
"Interoperability between RID agents and the standards, Use of  [RFC6545] and
[RFC6546], were also proven in this exercise." -- is the "Use of" superfluous?
I *think* so, and removing it fixes it, but I'm not quite sure what was
intended.

Many of the nit checker things seem simply to solve (like the use of
non-documentation addresses) - these should be addressed.

In addition I have some nits:
Section3.1.
"Minimal IODEF document IODEF includes one mandatory classes. "
s/classes/class/

Section 3.2.  Information represented
" The implementer should  carefully look into the schema and decide classes to
implement (or not)." -- I think this is missing a "which" between "decide" and
"classes".

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Thu, 31 Aug 2017 15:26:38 +0000

Thank you for the review Warren. We rephrased the sentence about interop to " Interoperability between RID agents implementing [RFC6545"] [RFC6546] was also confirmed. " so that it makes more sense. All the rest of the nits and nit checker finds are also fixed. Also added a minimal IANA considerations section, since practically there are none. 

We still owe responses and fixes for Ben's comments. Will do that soon. 

Panos

-----Original Message-----
From: mile [mailto:[email-masked]] On Behalf Of Warren Kumari
Sent: Wednesday, August 30, 2017 3:28 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [mile] Warren Kumari's No Objection on draft-ietf-mile-iodef-guidance-10: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

I'll also echo Ben / Benoit's comments and also thank Qin Wu for the OpsDir review. I've just seen that you have responded to it, thank you.

I especially don't understand the:
"Interoperability between RID agents and the standards, Use of  [RFC6545] and [RFC6546], were also proven in this exercise." -- is the "Use of" superfluous?
I *think* so, and removing it fixes it, but I'm not quite sure what was intended.

Many of the nit checker things seem simply to solve (like the use of non-documentation addresses) - these should be addressed.

Section 3.2.  Information represented
" The implementer should  carefully look into the schema and decide classes to implement (or not)." -- I think this is missing a "which" between "decide" and "classes".

_______________________________________________
mile mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mile

---

From: Warren Kumari <[email-masked]>
Date: Thu, 31 Aug 2017 18:08:49 +0000

On Thu, Aug 31, 2017 at 11:26 AM Panos Kampanakis (pkampana) <
[email-masked]> wrote:

> Thank you for the review Warren. We rephrased the sentence about interop
> to " Interoperability between RID agents implementing [RFC6545"] [RFC6546]
> was also confirmed. " so that it makes more sense.

Great, thanks.

All the rest of the nits and nit checker finds are also fixed. Also added a
> minimal IANA considerations section, since practically there are none.
>

Okay.

Thanks,
W

> Subject: [mile] Warren Kumari's No Objection on
> draft-ietf-mile-iodef-guidance-10: (with COMMENT)
>
> I'll also echo Ben / Benoit's comments and also thank Qin Wu for the
> OpsDir review. I've just seen that you have responded to it, thank you.
>
> "Interoperability between RID agents and the standards, Use of  [RFC6545]
> and [RFC6546], were also proven in this exercise." -- is the "Use of"
> superfluous?
> " The implementer should  carefully look into the schema and decide
> classes to implement (or not)." -- I think this is missing a "which"
> between "decide" and "classes".
>
>
> --
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf